if [ -z $1 ] ; then
	echo  "Please pr+a --kappa 1.0ovide the device to run the experiments."
	exit 1
fi

for kappa in .95 .99 1.0
do  
	if test -d "./out/amazon/kappa$kappa/"; then
		echo "Dir exist: ./out/amazon/kappa$kappa/"
	else
		echo "Making dir: ./out/amazon/kappa$kappa/"
		mkdir ./out/amazon/kappa$kappa/
	fi
	for eps in 1e-4 1e-5 1e-6
	do  
		if test -d "./out/amazon/kappa$kappa/eps$eps/"; then
			echo "Dir exist: ./out/amazon/kappa$kappa/eps$eps/"
		else
			echo "Making dir: ./out/amazon/kappa$kappa/eps$eps/"
			mkdir ./out/amazon/kappa$kappa/eps$eps/
		fi
		for por in 05 06 07 08 09
		do
			if test -d "./out/amazon/kappa$kappa/eps$eps/por$por"; then
				echo "Dir exist: ./out/amazon/kappa$kappa/eps$eps/por$por"
			else
				echo "Making dir: ./out/amazon/kappa$kappa/eps$eps/por$por"
				mkdir ./out/amazon/kappa$kappa/eps$eps/por$por
			fi
			if test -f "./out/amazon/kappa$kappa/eps$eps/por$por/d3_MIGNN.log"; then
				echo "Not over-writing ./out/amazon/eps$eps/por$por/d3_MIGNN.log"
			else
				echo "Generating ./out/amazon/kappa$kappa/eps$eps/por$por/d3_MIGNN.log"
                CUDA_VISIBLE_DEVICES=$1 ./examples/amazon.py \
                --model MIGNN --lin_module cayley --fp_method pr+a --inv_method neumann-2 --adj_pow 3 \
                --kappa $kappa --portion .$por --fp_tol $eps > ./out/amazon/kappa$kappa/eps$eps/por$por/d3_MIGNN.log
			fi
		done
	done
done