if [ -z $1 ] ; then
	echo  "Please provide the device to run the experiments."
	exit 1
fi

# PORTION 05
if test -d "./out/amazon/por05/"; then
    echo "Skipping: ./out/amazon/por05/"
else
    echo "Generating: ./out/amazon/por05/"
    mkdir ./out/amazon/por05/
fi
if test -f "./out/amazon/por05/skew_MIGNN.log"; then
    echo "Skipping: ./out/amazon/por05/skew_MIGNN.log"
else
    echo "Generating: ./out/amazon/por05/skew_MIGNN.log"
    CUDA_VISIBLE_DEVICES=$1 ./examples/amazon.py --model MIGNN --lin_module skew \
    --disable_norm --fp_method pr+a --alpha .9 --fp_tol 1e-3 --inv_method eig --portion .05 --clip 0 --dropout 0 > ./out/amazon/por05/skew_MIGNN.log
fi


# PORTION 06
if test -d "./out/amazon/por06/"; then
    echo "Skipping: ./out/amazon/por06/"
else
    echo "Generating: ./out/amazon/por06/"
    mkdir ./out/amazon/por06/
fi
if test -f "./out/amazon/por06/skew_MIGNN.log"; then
    echo "Skipping: ./out/amazon/por06/skew_MIGNN.log"
else
    echo "Generating: ./out/amazon/por06/skew_MIGNN.log"
    CUDA_VISIBLE_DEVICES=$1 ./examples/amazon.py --model MIGNN --lin_module skew \
    --disable_norm --fp_method pr+a --alpha .9 --fp_tol 1e-3 --inv_method eig --portion .06 --clip 0 --dropout 0 > ./out/amazon/por06/skew_MIGNN.log
fi


# PORTION 07
if test -d "./out/amazon/por07/"; then
    echo "Skipping: ./out/amazon/por07/"
else
    echo "Generating: ./out/amazon/por07/"
    mkdir ./out/amazon/por07/
fi
if test -f "./out/amazon/por07/skew_MIGNN.log"; then
    echo "Skipping: ./out/amazon/por07/skew_MIGNN.log"
else
    echo "Generating: ./out/amazon/por07/skew_MIGNN.log"
    CUDA_VISIBLE_DEVICES=$1 ./examples/amazon.py --model MIGNN --lin_module skew \
    --disable_norm --fp_method pr+a --alpha .9 --fp_tol 1e-3 --inv_method eig --portion .07 --clip 0 --dropout 0 > ./out/amazon/por07/skew_MIGNN.log
fi

# PORTION 08
if test -d "./out/amazon/por08/"; then
    echo "Skipping: ./out/amazon/por08"
else
    echo "Generating: ./out/amazon/por08"
    mkdir ./out/amazon/por08/
fi
if test -f "./out/amazon/por08/skew_MIGNN.log"; then
    echo "Skipping: ./out/amazon/por08/skew_MIGNN.log"
else
    echo "Generating: ./out/amazon/por08/skew_MIGNN.log"
    CUDA_VISIBLE_DEVICES=$1 ./examples/amazon.py --model MIGNN --lin_module skew \
    --disable_norm --fp_method pr+a --alpha .9 --fp_tol 1e-3 --inv_method eig --portion .08 --clip 0 --dropout 0 > ./out/amazon/por08/skew_MIGNN.log
fi

# PORTION 09
if test -d "./out/amazon/por09"; then
    echo "Skipping: ./out/amazon/por09"
else
    echo "Generating: ./out/amazon/por09"
    mkdir ./out/amazon/por09/
fi
if test -f "./out/amazon/por09/skew_MIGNN.log"; then
    echo "Skipping: ./out/amazon/por09/skew_MIGNN.log"
else
    echo "Generating: ./out/amazon/por09/skew_MIGNN.log"
    CUDA_VISIBLE_DEVICES=$1 ./examples/amazon.py --model MIGNN --lin_module skew \
    --disable_norm --fp_method pr+a --alpha .9 --fp_tol 1e-3 --inv_method eig --portion .09 --clip 0 --dropout 0 > ./out/amazon/por09/skew_MIGNN.log
fi